Subject: Re: [PATCH v4 net-next 0/8] Let phylink manage in-band AN for the PHY

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 22 Nov 2022 17:59:50 +0000

On Tue, Nov 22, 2022 at 11:10:03AM -0500, Sean Anderson wrote:
> So maybe we should do (PHY_AN_INBAND_ON | PHY_AN_INBAND_OFF) in that
> case. That said, RGMII in-band is not supported by phylink (yet).

I think people use it - why do you think it isn't supportable?

Why would it need to be any different from something like SGMII? One
can implement a "phylink_pcs" that responds appropriately when in RGMII
mode (which I believe is what others have done.)

Note that Marvell net drivers always register a PCS no matter what
interface mode is being used - I believe the hardware has the ability
to read the RGMII in-band and in that case it's just the same
registers that one has to read to get the status as SGMII.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!